package engine;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import engine.*;
import javax.microedition.lcdui.*;

/**
 * @author DDDEN!SSS
 */
public class Polygon4V implements Element3D {
    private Vertex v1, v2, v3, v4;
    private int color;
    private int sz; //z средняя
    
    public Polygon4V(String pol, Vertex[] ver, int[] colors) {
        int t1 = pol.indexOf(",", 0);
        int t2 = pol.indexOf(",", t1+1);
        int t3 = pol.indexOf(",", t2+1);
        int t4 = pol.indexOf(",", t3+1);
        
        String v1Str = pol.substring(0, t1);
        String v2Str = pol.substring(t1+1, t2);
        String v3Str = pol.substring(t2+1, t3);
        String v4Str = pol.substring(t3+1, t4);
        
        String colorStr = pol.substring(t4+1, pol.length());
        
        v1 = ver[Integer.parseInt(v1Str)];
        v2 = ver[Integer.parseInt(v2Str)];
        v3 = ver[Integer.parseInt(v3Str)];
        v4 = ver[Integer.parseInt(v4Str)];
        
        int col = Integer.parseInt(colorStr);
        color = colors[col];
    }
    
    
    
    
    public final void paint(Graphics g) {
        g.setColor(color);
        g.fillTriangle(v1.sx, v1.sy, v2.sx, v2.sy, v3.sx, v3.sy);
        g.fillTriangle(v1.sx, v1.sy, v4.sx, v4.sy, v3.sx, v3.sy);
    }
    
    public final void setMatrix() { //средняя Z координата
        sz = (v1.z+v2.z+v3.z+v4.z)/4;
    }
    public final int getSz() {
        return sz;
    }
    
    
    

}